<?php

// Creado: Janeth Cuevas
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Libraries\ejLib;
use Illuminate\Routing\Redirector;
Use Session;
Use Redirect;
Use SimpleXMLElement;



class DirectorController extends Controller{


	
    // 04 May 2022 Janeth C. 
     public function unificarExpedientes(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        
        return view('Director.mostrarLstPaciente_a_UnificarExpediente');
    }

    public function getLstExpedientePacienteUnificar(){
    	session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
    	$var = ejLib::getInstance();
		$soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();
		if(isset($_POST['clave_pac']))$clave_pac=$_POST['clave_pac'];

        $data = $soapclient->BuscarPaciente_getLstPorClavePac($clave_pac, $wsClave);

   		$data = new SimpleXMLElement(utf8_encode($data));
   		$result = ['paciente' => (object)$data->respuesta, 'editable' => 0 ];
   		// print_r($result);
   		
        return view('Director.mostrarExpedienteCorrecto')->with($result);
    }


     // 09 May 2022 Janeth C. 
     public function buscarExpedienteIncorrecto(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        
        return view('Director.buscarPaciente_ExpedienteIncorrecto');
    }

    // 13 May 2022 Janeth C. 
     public function confirmacionUnificarExpedientes(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        if(isset($_POST['clave_pac']))$clave_pac_ExpeCorrecto=$_POST['clave_pac'];
        if(isset($_POST['claves_pac_unificar']))$claves_pac_unificar=$_POST['claves_pac_unificar'];
        
        echo '<div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">UNIFICACIÓN DE EXPEDIENTES</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        ¿Está seguro de realizar la unificación de expedientes? <br> <input type="hidden" name="h_claves_unificar" id="h_claves_unificar" value="'.$claves_pac_unificar.'">
    <input type="hidden" name="h_clave_correcta" id="h_clave_correcta" value="'.$clave_pac_ExpeCorrecto.'">
  
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Salir</button>
        <button type="button" class="btn btn-primary" id="confirmaUnificar" name="confirmaUnificar">Confirmar</button>
      </div>';
    }

    public function up_unificarExpedientes(Request $request)
    {
        session_start();
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();
       
        if(isset($_POST['Centro_Sal']))$Centro_Sal=$_POST['Centro_Sal'];
        if(isset($_POST['clavesA_Unificar']))$clavesA_Unificar=$_POST['clavesA_Unificar'];
        if(isset($_POST['claveCorrecta']))$claveCorrecta=$_POST['claveCorrecta'];
        if(isset($_POST['Id_Doc']))$Id_Doc=$_POST['Id_Doc'];
        
       //print_r($claveCorrecta.','. $clavesA_Unificar.','. $Centro_Sal. $wsClave); die();

       $data = $soapclient->Director_unificarExpedientes($claveCorrecta, $clavesA_Unificar, $Centro_Sal, $Id_Doc, $wsClave);
      
        $result = new SimpleXMLElement(utf8_encode($data));
      

            ?>
             <input type="hidden" id="hError" name="hError" value="<?php echo $result->respuesta[0]->error;  ?>">
             <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($result->respuesta[0]->titulo);  ?>">
             <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($result->respuesta[0]->descripcion);  ?>">
            <?php

    }


}